<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');

unset( $_SESSION['preparacionPaletActual'] );
unset( $_SESSION['preparacionCajaPaletActual'] );
unset( $_SESSION['preparacionPaletActualFijado'] );
unset( $_SESSION['preparacionCajaPaletActualFijada'] );

$requierePaletizar=( $_SESSION['parametrosSGA']['PickingPacking']=='S' || $_SESSION['ordenOperacion']['RequierePackingList']=='S' );

$lecturaCajaPalet=( $_SESSION['parametrosSGA']['LecturaCajaPalet']=='S' );
$mostrarModoLectura=( $requierePaletizar && $lecturaCajaPalet );
$primeroSeleccionarModoLectura=( $requierePaletizar && $lecturaCajaPalet && !isset($_SESSION['modoslecturaOPs'][ $_SESSION['ordenOperacion']['NumOrden'] ]) );


if($_GET['orden'] && $_GET['empresa']) {
	
	unset($_SESSION['ordenOperacion']);
	
	$peticion='SGAPreparar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEORDENPREP#'.$_SESSION['almacen'].';'.$_GET['empresa'].';'.$_GET['orden'];
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	$_SESSION['ordenOperacion']=$resultado[0];
	
	//CREACION DEL LISTADO GENERAL DE PRODUCTOS
	$productos=arreglaArrayPXMobileProxiumResult($_SESSION['ordenOperacion']['Productos']);
	
	unset($_SESSION['cajas']);
	
} //Fin si hay num orden y empresa en la url (se cargan los datos)


if($_SESSION['ordenOperacion']['Error']) {

	$valores=explode('#',$_SESSION['ordenOperacion']['Error']);
	?>
    <p class="error">ERROR: <?php echo $valores[1]; ?></p>
    
	<form id="form1" name="form1" method="post" action="ordenes-preparacion.php">
	<p><input type="submit" name="button" id="button" value="Volver al listado" class="boton reducido"/></p>
    </form>
	<?php
	
}
else {

?>

<div id="popupModoLecturaCajaPalet" class="popup" style="display:none;">
    <div class="popupContenido" id="popupModoLecturaCajaPaletContenido">
   	  <h2 style="margin:50px 0 30px 0">Selecciona el modo de preparación:</h2>
        <table style="margin:0 auto;font-size:1.5em">
        	<tr><td align="left"><label><input id="modoPreparacionP" name="modoPreparacion" type="radio" value="P" class="checkGrande" <?php if($_SESSION['modoslecturaOPs'][ $_SESSION['ordenOperacion']['NumOrden'] ]=='P') { ?>checked<?php } ?>/> <span style="vertical-align:20%">Todos los productos a palet o palets completos</span></label></td><td><img src="<?php echo DIR_IMAGENES; ?>/op-modo-P-horizontal.png" class="opModoIconoSelector"/></td></tr>
            <tr><td align="left"><label><input id="modoPreparacionC" name="modoPreparacion" type="radio" value="C" class="checkGrande" <?php if($_SESSION['modoslecturaOPs'][ $_SESSION['ordenOperacion']['NumOrden'] ]=='C') { ?>checked<?php } ?>/> <span style="vertical-align:20%">Todos los productos a cajas sueltas</span></label></td><td><img src="<?php echo DIR_IMAGENES; ?>/op-modo-C-horizontal.png" class="opModoIconoSelector"/></td></tr>
            <tr><td align="left"><label><input id="modoPreparacionPC" name="modoPreparacion" type="radio" value="PC" class="checkGrande" <?php if($_SESSION['modoslecturaOPs'][ $_SESSION['ordenOperacion']['NumOrden'] ]=='PC') { ?>checked<?php } ?>/> <span style="vertical-align:20%">Preparación combinada palets/cajas</span></label></td><td><img src="<?php echo DIR_IMAGENES; ?>/op-modo-PC-horizontal.png" class="opModoIconoSelector"/></td></tr>
      </table>
      <p><input type="button" name="botonModoLecturaAceptar" id="botonModoLecturaAceptar" value="ACEPTAR" class="boton"/></p>
      <p><input type="button" name="botonModoLecturaCancelar" id="botonModoLecturaCancelar" value="Cancelar" class="boton reducido"/></p>
    </div>
</div>

<div class="estilosOP">

<h2>Orden de Operación Logística Nº <?php echo $_SESSION['ordenOperacion']['NumOrden']; ?></h2>

<table class="tablaFormateada anchoMaximo desplazamientoSuperior">
<tr>
	<?php if(count($_SESSION['empresas'])>1) { ?><th>Empresa</th><?php } ?>
    <?php if($_SESSION['gestion']!='PUB') { ?><th>Familia</th><?php } ?>
    <th>Tipo</th>
    <th>Fecha</th>
    <th>Régimen Origen</th>
    <th>Régimen Destino</th>
    <th>Cliente</th>
    </tr>
<tr>
	<?php if(count($_SESSION['empresas'])>1) { ?><td><?php echo $_SESSION['ordenOperacion']['Empresa']; ?></td><?php } ?>
    <?php if($_SESSION['gestion']!='PUB') { ?><td><?php echo $_SESSION['ordenOperacion']['FamiliaPreparacion']; ?></td><?php } ?>
    <td><?php echo $_SESSION['ordenOperacion']['TipoOrdenDescripcion']; ?></td>
    <td><?php echo fechaNacional($_SESSION['ordenOperacion']['FechaGeneracion']); ?></td>
    <td><?php echo $_SESSION['ordenOperacion']['RegimenOrigen']; ?></td>
    <td><?php echo $_SESSION['ordenOperacion']['RegimenDestino']; ?></td>
    <td><?php echo $_SESSION['ordenOperacion']['NombreCliente']; ?></td>
	</tr>
</table>

<?php
if($_SESSION['ordenOperacion']['Observaciones']) {
	?>
    <table class="tablaFormateada anchoMaximo" style="margin-top:20px">
    <tr>
        <th>Observaciones</th>
      </tr>
    <tr>
        <td><?php echo $_SESSION['ordenOperacion']['Observaciones']; ?></td>
      </tr>
    </table>
    <?php
}





//BOTONES PRINCIPALES QUE MUESTRAN PALETS/CAJAS SEGUN PARAMETRIZACION

$_SESSION['palets']=arreglaArrayPXMobileProxiumResult($_SESSION['ordenOperacion']['PaletsPL']);
	
//CREACION DEL ARBOL DE AGRUPACIONES PALETS/CAJAS
$_SESSION['agrupaciones']=array();

foreach($_SESSION['palets'] as $item) { //Primera iteracion para sacar los de primer nivel
		if(!$item['PaletPadre']) {
			$_SESSION['agrupaciones'][ $item['PaletPL'] ]=$item;
			$_SESSION['agrupaciones'][ $item['PaletPL'] ]['CantidadCajasPalet']=0;
			//Miramos si está en la OP actual
			foreach($productos as $item2) {
				if($item2['Contenedor']==$item['PaletPL'] || $item2['ContenedorPadre']==$item['PaletPL']) $_SESSION['agrupaciones'][ $item['PaletPL'] ]['EnOrdenPreparacionActual']='S';
				else if($item2['AlbaranCrossDocking']) {
					$listadoPaletsAlbaran=explode(',',$item2['AlbaranCrossDockingPalets']);
					if(in_array($item['PaletPL'],$listadoPaletsAlbaran)) $_SESSION['agrupaciones'][ $item['PaletPL'] ]['EnOrdenPreparacionActual']='S';
				}
			}
		}
	}
	foreach($_SESSION['palets'] as $item) {
		if($item['PaletPadre']) {
			foreach($_SESSION['agrupaciones'] as $item2) { //para cada palet de primer nivel, buscamos su padre
				if($item2['PaletPL']==$item['PaletPadre']) {
					$_SESSION['agrupaciones'][ $item2['PaletPL'] ]['CajasPaletOrden'][]['NumeroCaja']=$item['PaletPL'];
					$_SESSION['agrupaciones'][ $item2['PaletPL'] ]['CantidadCajasPalet']++;
					break;
				}
			}
		}
}

//echo '<p>Agrupaciones</p>';
//print_r($_SESSION['agrupaciones']);

$cantidadAgrupaciones=0;
$cantidadCajasSueltas=0;
$cantidadCajasEnPalets=0;
$cantidadPalets=0;

foreach($_SESSION['agrupaciones'] as $item) {
	if($item['EsCaja']=='S') $cantidadCajasSueltas++;
	else {
		$cantidadPalets++;
		foreach($item['CajasPaletOrden'] as $item2) $cantidadCajasEnPalets++;
	}
}

$cantidadAgrupaciones=$cantidadCajas+$cantidadPalets;

$textoAgrupaciones='';
if($cantidadPalets>0) $textoAgrupaciones.=$cantidadPalets.' Palet';
if($cantidadPalets>1) $textoAgrupaciones.='s';
if($cantidadCajasEnPalets>0) {
	$textoAgrupaciones.=' (con '.$cantidadCajasEnPalets.' caja';
	if($cantidadCajasEnPalets>1) $textoAgrupaciones.='s';
	$textoAgrupaciones.=') ';
}
if($cantidadCajasSueltas>0) {
	if($cantidadPalets>0) $textoAgrupaciones.=' + ';
	if($cantidadCajasSueltas>0) $textoAgrupaciones.=$cantidadCajasSueltas.' Caja';
	if($cantidadCajasSueltas>1) $textoAgrupaciones.='s';
}


//CREACION DE LOS COMBOS PARA FILTROS

if($_SESSION['parametrosSGA']['PickingPacking']=='S') {

	$tempPalets=arreglaArrayPXMobileProxiumResult($_SESSION['ordenOperacion']['PaletsPL']);
	$_SESSION['palets']=array();
	foreach($tempPalets as $palet) {
		foreach($productos as $item) if($item['Contenedor']==$palet['PaletPL']) $palet['EnOrdenPreparacionActual']='S';
		$_SESSION['palets'][]=$palet;
	}
	
	$comboPalets=array();
	foreach($_SESSION['palets'] as $item) $comboPalets[]=$item['NumeroCaja'];
	asort($comboPalets);

	$_SESSION['cajas']=arreglaArrayPXMobileProxiumResult($_SESSION['ordenOperacion']['Cajas']);
		
	$comboCajas=array();
	foreach($_SESSION['cajas'] as $item) $comboCajas[]=$item['NumeroCaja'];
	asort($comboCajas);

}


if( $requierePaletizar ) {
	?>
	<p>
        <input type="submit" name="botonPalets<?php if($cantidadAgrupaciones==0) { ?>Off<?php } ?>" id="botonPalets<?php if($cantidadAgrupaciones==0) { ?>Off<?php } ?>" value="Agrupaciones: <?php echo $textoAgrupaciones; ?>" class="boton <?php if($cantidadAgrupaciones===0) { ?>deshabilitado<?php } else { ?>mostrarCargando<?php } ?>"/>
        <?php if($cantidadAgrupaciones>0) { ?>
            <br /><input type="button" name="botonReorganizar" id="botonReorganizar" class="boton reducido" value="Reorganizar agrupaciones" style="margin-top:20px"/>
        <?php } ?> 
    </p>
    
    <div id="popupPalets" class="popup" style="display:none"></div>
	<div class="popupContenidoScroll" id="popupPaletsContenido" style="display:none"></div>
   
	<?php
}

// GESTION DE LOS LISTADOS DE PRODUCTOS

$productosAPreparar=array();
$productosYaPreparados=array();
$algunosProductosPreparados=false;

foreach($productos as $producto) {
	
	//print_r($producto);
	//echo '<hr>';
	 
	$datos=$producto['Datos']['PXMobileProxiumResult'];
			 
	$cajaContenedora='';
			 
	if($producto['Preparado']>0) { //Si hay producto preparado, buscamos en qué caja está

		foreach($_SESSION['cajas'] as $caja) {
				 
			$cajaProductos=arreglaArrayPXMobileProxiumResult($caja['Productos']);
					
			foreach($cajaProductos as $cajaProducto) {
					
				$coincidencia=(
					$cajaProducto['Codigo']==$producto['Codigo']
					&& $cajaProducto['LinEntrada']==$producto['LineaEntrada']
					&& $cajaProducto['NumEntrada']==$producto['NumeroEntrada']
					&& $cajaProducto['Ubicacion']==$producto['Ubicacion']
				);
				
				foreach($_SESSION['comportamientos'] as $comportamiento) {
					if($comportamiento['Activo']=='S') {
						foreach($datos as $dato) {
							if($dato['Codigo']==$comportamiento['Codigo']) {
								$coincidencia=($coincidencia && $cajaProducto[$comportamiento['NombreSQL']]==$dato['Valor']);
								break;
							}
						}
					}
				}
				
				if ($coincidencia) $cajaContenedora.=$caja['NumeroCaja']."<br>";
			}
					
		}
			 
	}
	
	//echo '<p>Cantidad: '.$producto['Cantidad'].'</p>';
	//echo '<p>Preparado: '.$producto['Preparado'].'</p>';
	//echo '<p>CantidadDiferenciaCompletada: '.$producto['CantidadDiferenciaCompletada'].'</p>';
	
	if( $producto['Cantidad']==$producto['Preparado'] || $producto['CantidadDiferenciaCompletada']=='S' ) { //Si el producto está completamente preparado, pasa al segundo listado
			 	
		$productosYaPreparados[]=array('lineaProducto'=>$producto,'cajas'=>$cajaContenedora);
	}
	else {
	
		$productosAPreparar[]=array('lineaProducto'=>$producto,'cajas'=>$cajaContenedora);
	}
 
	
}

$productosPendientes=array();
foreach( arreglaArrayPXMobileProxiumResult($_SESSION['ordenOperacion']['ProductosPendientes']) as $producto) {
	$productosPendientes[]=array('lineaProducto'=>$producto);
}


///////////////////////////////////////////////////////
//20-8-2020 Albaranes para lectura mediante cross docking
$albaranesAPreparar=array();
$albaranesYaPreparados=array();
foreach($albaranesCrossDocking as $albaran) {
	if($albaran['Leido']=='S') $albaranesYaPreparados[]=$albaran;
	else $albaranesAPreparar[]=$albaran;
}




//foreach($_SESSION['ordenOperacion']['ProductosPendientes'] as $pendiente) $productosPendientes[]=$pendiente;
//print_r($productosPendientes);

function pintaListadoProductos($listado,$preparable,$mostrarAgrupaciones=false) {

	global $rutaHtml;
	global $algunosProductosPreparados;
	
	global $requierePaletizar;
	global $lecturaCajaPalet;

	?>
	<table class="tablaFormateada anchoMaximo" style="font-size:0.9em">
		<tr>
			<?php if($preparable) { ?><th>Iniciar</th><?php } ?>
	    	<th>Código</th>
			<th>Descripción</th>
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']) { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
			<?php } ?>
            <?php if($_SESSION['parametrosSGA']['ReferenciaCliEntrada']=='S') { ?>
            <th>Ref. cliente</th>
            <?php } ?>
			<th>Cant.</th>
			<?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
            
            <?php if($_SESSION['ordenOperacion']['TieneCrossDocking']=='S') { ?><th>Albarán</th><?php } ?>
            
			<?php if($_SESSION['gestionPaletizado']=='S' || $requierePaletizar) { ?>
				<?php if($lecturaCajaPalet && $mostrarAgrupaciones) { ?>
                <th colspan="2">Agrupacion</th>
                <?php } else { ?>
                <th>Palet</th>
                <?php } ?>
            <?php } ?>
            
			<th width="100">Ubicación</th>
	      	<?php if($_SESSION['visibilidadSalidasNumDocumento']) { ?><th>Documento</th><?php } ?>
	      	<th>Preparado</th>
		</tr>
		<?php
	
		foreach($listado as $item) {
		
		$producto=$item['lineaProducto'];
		$datos=$producto['Datos']['PXMobileProxiumResult'];
		$cajaContenedora=$item['cajas'];
		$contador=0;
		
		$cadenaNumerosSerie='';
		$numerosSerie=arreglaArrayPXMobileProxiumResult($producto['NumerosSerieDisponibles']);
		foreach($numerosSerie as $numero) {
			if(!empty($cadenaNumerosSerie)) $cadenaNumerosSerie.=';';
			$cadenaNumerosSerie.=$numero['NumeroSerie'].','.$numero['Contenedor'].','.$numero['Ubicacion'].','.$numero['Leido'];
		}
		 
		?>
		<tr class="lineaOrden <?php if($producto['Cantidad']==$producto['Preparado']) { ?>verde<?php } else if($producto['Cantidad']>$producto['Preparado'] && $producto['ObservacionesIncidencia']) { ?>rojo<?php } ?>" caja="<?php echo $cajaContenedora; ?>" codigo="<?php echo $producto['Codigo']; ?>" descripcion="<?php echo $producto['Descripcion']; ?>" preparacion="<?php if($producto['Cantidad']==$producto['Preparado']) { ?>si<?php } else { ?>no<?php } ?>" >
			<?php if($preparable) { ?>
            <td><?php if($producto['Preparado']<$producto['Cantidad']) { ?><input name="iniciar<?php echo $contador; ?>" type="checkbox" class="checkGrande selectorInicio" id="iniciar<?php echo $contador; ?>" Codigo="<?php echo $producto['Codigo']; ?>" Ubicacion="<?php echo $producto['Ubicacion']; ?>" Contenedor="<?php echo $producto['Contenedor']; ?>" <?php foreach($_SESSION['comportamientosGlobales'] as $comportamiento) { echo $comportamiento['NombreSQL'].'="'; foreach($datos as $dato) if($dato['Codigo']==$comportamiento['Codigo']) echo $dato['Valor']; echo '" '; } ?> NumeroEntrada="<?php echo $producto['NumeroEntrada']; ?>" LineaEntrada="<?php echo $producto['LineaEntrada']; ?>"/><?php } ?></td>
			<?php } ?>
            <td><?php echo $producto['Codigo']; ?></td>
			<td align="left" style="max-width:400px;word-wrap:break-word;"><?php echo $producto['Descripcion']; ?></td>
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']=='S') { ?>
				<td>
				<?php
				if($producto['ControlNumSerie']=='S' && $comportamiento['Codigo']=='NS') {
					//Excepcionalmente el comportamiento Numero Serie muestra un popup, ya que las lineas se agrupan
					?><img class="verNumerosSerie clicable" src="<?php echo DIR_IMAGENES; ?>/barcode-buscar.png" style="width:60px" numeros="<?php echo $cadenaNumerosSerie; ?>"/><?php
				}
				else  {
					foreach($datos as $dato) {
						if($dato['Codigo']==$comportamiento['Codigo']) {
							echo formateaTipo($dato['Valor'],$comportamiento['Tipo']);
							break;
						}
					}
				}
				?>                </td>
				<?php } ?>
			<?php } ?>
            <?php if($_SESSION['parametrosSGA']['ReferenciaCliEntrada']=='S') { ?>
            <td align="center"><?php echo $producto['RefCliente']; ?></td>
            <?php } ?>
			<td align="right"><?php echo $producto['Cantidad']; //echo number_format($producto['Cantidad'],0,',','.'); ?></td>
			<?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo $producto['Cajas']; //echo number_format($producto['Cajas'],2,',','.'); ?></td><?php } ?>
			
            <?php if($_SESSION['ordenOperacion']['TieneCrossDocking']=='S') { ?><td align="center"><?php echo $producto['AlbaranCrossDocking']; ?></td><?php } ?>
            
			<?php if($_SESSION['gestionPaletizado']=='S' || $requierePaletizar) { ?>
				
                <?php if($producto['AlbaranCrossDocking']) { ?>
                	
                    <td align="center"><img src="img_nx/palet-info.png" alt="" width="30" height="30" class="botonCrossdockingInfoPalets clicable" numalbaran="<?php echo $producto['AlbaranCrossDocking']; ?>" listadopalets="<?php echo $producto['AlbaranCrossDockingPalets']; ?>"/></td>
                    
                <?php } else { ?>
                
					<?php if($lecturaCajaPalet && $mostrarAgrupaciones) { ?>
                    
                        <?php if($producto['EsCaja']=='S') { ?>
                            <td>
                            <?php if($producto['ContenedorPadre']) { ?>
                            <img src="<?php echo DIR_IMAGENES; ?>/palet-vacio.png" style="width:35px;"/><?php echo $producto['ContenedorPadre']; ?>
                            <?php } ?>
                            </td>
                            <td><img src="<?php echo DIR_IMAGENES; ?>/caja-vacia.png" style="width:25px;"/><?php echo $producto['Contenedor']; ?></td>
                        <?php } else { ?>
                            <td>
                            <img src="<?php echo DIR_IMAGENES; ?>/palet-vacio.png" style="width:35px;"/><?php echo $producto['Contenedor']; ?>
                            </td>
                            <td>
                            <?php $listaCajas=arreglaArrayPXMobileProxiumResult($producto['ListaCajas']); ?>
                            <?php if(count($listaCajas)>0) { ?>
                                <?php foreach($listaCajas as $itemCaja) { ?>
                                <img src="<?php echo DIR_IMAGENES; ?>/caja-vacia.png" style="width:25px;"/><?php echo $itemCaja['NumeroCaja']; ?><br />
                                <?php } ?>
                            <?php } ?>
                            </td>
                        <?php } ?>
                    
                    <?php } else { ?>
                    <td><?php if($producto['Contenedor']!='-' && $producto['Contenedor']!='C') echo $producto['Contenedor']; ?></td>
                    <?php } ?>
                    
            	<?php } ?>
                
            <?php } ?>
			
			
			
			
			
			<td class="columnaUbicacion"><?php if($producto['UbicacionAlias']) echo $producto['UbicacionAlias']; else echo $producto['Ubicacion']; ?></td>
			<?php if($_SESSION['visibilidadSalidasNumDocumento']) { ?><td align="center"><?php echo $producto['NumDocumentos']; ?></td><?php } ?>
			<td align="right"><?php echo $producto['Preparado']; //echo number_format($producto['Preparado'],0,',','.'); ?></td>
		</tr>
		<?php
		
		if($producto['Preparado']>0) $algunosProductosPreparados=true;
		
		} //Fin iteracion productos
		
		?>
    </table>
  <?php
}

function pintaListadoProductosSimple($listado,$preparable) {

	global $rutaHtml;

	?>
	<table class="tablaFormateada anchoMaximo" style="font-size:0.9em">
		<tr>
			<th>Código</th>
			<th>Descripción</th>
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']) { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
			<?php } ?>
            <?php if($_SESSION['parametrosSGA']['ReferenciaCliEntrada']=='S') { ?>
            <th>Ref. cliente</th>
            <?php } ?>
			<th>Cant.</th>
			<?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
            <th>Preparado</th>
		</tr>
		<?php
	
		foreach($listado as $item) {
		
		$producto=$item['lineaProducto'];
		$datos=$producto['Datos']['PXMobileProxiumResult'];
		$contador=0;
		 
		?>
		<tr class="<?php if(!$preparable) { ?>verde<?php } ?>">
			<td><?php echo $producto['Codigo']; ?></td>
			<td align="left" style="max-width:400px;word-wrap:break-word;"><?php echo $producto['Descripcion']; ?></td>
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']=='S') { ?>
				<td>
				<?php
				if($producto['ControlNumSerie']=='S' && $comportamiento['Codigo']=='NS') {
					//Excepcionalmente el comportamiento Numero Serie muestra un popup, ya que las lineas se agrupan
					?><img class="verNumerosSerie clicable" src="<?php echo DIR_IMAGENES; ?>/barcode-buscar.png" style="width:60px" numeros="<?php echo $cadenaNumerosSerie; ?>"/><?php
				}
				else  {
					foreach($datos as $dato) {
						if($dato['Codigo']==$comportamiento['Codigo']) {
							echo formateaTipo($dato['Valor'],$comportamiento['Tipo']);
							break;
						}
					}
				}
				?>                </td>
				<?php } ?>
			<?php } ?>
            <?php if($_SESSION['parametrosSGA']['ReferenciaCliEntrada']=='S') { ?>
            <td align="center"><?php echo $producto['RefCliente']; ?></td>
            <?php } ?>
			<td align="right"><?php echo $producto['Cantidad']; //echo number_format($producto['Cantidad'],0,',','.'); ?></td>
			<?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo $producto['Cajas']; //echo number_format($producto['Cajas'],2,',','.'); ?></td><?php } ?>
			<td align="right"><?php if($preparable) { ?>0<?php } else { echo $producto['Cantidad']; } ?></td>
		</tr>
		<?php
		
		} //Fin iteracion productos
		
		?>
    </table>
  <?php
}


?>
<div id="popupGama" class="popup" style="display:none"></div>
<div id="popupGamaContenido" class="popupContenidoScroll" style="display:none"></div>

<div id="popupNumerosSerie" class="popup" style="display:none"></div>
<div id="popupNumerosSerieContenido" class="popupContenidoScroll" style="display:none"></div>

<div id="popupCrossdocking" class="popup" style="display:none"></div>
<div id="popupCrossdockingContenido" class="popupContenidoScroll" style="display:none"></div>


<?php if($_SESSION['ordenOperacion']['InstruccionesPreparacionCab']) { ?>
<table class="tablaFormateada anchoMaximo" >
	<tr><th style="height:20px"><img src="img_nx/iconos/informacion.png" style="width:25px;margin-bottom:-8px;margin-right:10px"/> Instrucciones de preparación</th>
	</tr>
	<tr><td valign="top"><?php if($_SESSION['ordenOperacion']['InstruccionesPreparacionCab'] && is_string($_SESSION['ordenOperacion']['InstruccionesPreparacionCab'])) echo nl2br($_SESSION['ordenOperacion']['InstruccionesPreparacionCab']); ?></td></tr>
</table>
<?php } ?>


<?php

if(count($productosAPreparar)>0 || count($productosYaPreparados)>0 || count($albaranesAPreparar)>0 || count($albaranesYaPreparados)>0 ) {
	
	if(count($productosAPreparar)>0) {
	
		?><h3>Productos a preparar:</h3><?php
		
		pintaListadoProductos($productosAPreparar,true);
		
	}
	
	if(count($albaranesAPreparar)>0) {
	
		?>
        
        <h3>Albaranes a preparar mediante Cross Docking:</h3>
        
        <table class="tablaFormateada anchoMaximo" style="font-size:1em">
            <tr>
                <th width="120">Albarán Nº</th>
                <th width="500">Proveedor</th>
                <th width="90" colspan="2">Palets</th>
                <th width="90" colspan="2">Productos</th>
                <th width="90">Preparar</th>
            </tr>
		
			<?php foreach($albaranesAPreparar as $albaran) { ?>
        
        	<?php $numPalets=count(arreglaArrayPXMobileProxiumResult($albaran['Palets'])); ?>
        	<?php $numProductos=count(arreglaArrayPXMobileProxiumResult($albaran['Productos'])); ?>
            
        	<tr><td><?php echo $albaran['NumAlbaran']; ?></td>
            <td><?php echo $albaran['ProveedorNombre']; ?></td>
            <td align="right"><?php echo $numPalets; ?></td>
            <td style="border-left:0"><img src="img_nx/palet-info.png" alt="" width="40" height="40" class="botonCrossdockingInfoPalets clicable" numalbaran="<?php echo $albaran['NumAlbaran']; ?>" listadopalets=""/></td>
            <td align="right"><?php echo $numProductos; ?></td>
            <td style="border-left:0"><img src="img_nx/palet-info.png" width="40" height="40" class="botonCrossdockingInfoProductos clicable" numalbaran="<?php echo $albaran['NumAlbaran']; ?>"/></td>
            <td><img src="img_nx/botones/play.png" style="width:60px;height:60px;" class="botonCrossdockingAlbaran clicable" border="0" numalbaran="<?php echo $albaran['NumAlbaran']; ?>"/></td>
			
            <?php } ?>
  </table>
            
<?php
		
	}

	if(count($productosYaPreparados)>0) {
	
		?><h3>Productos ya preparados:</h3><?php
		
        pintaListadoProductos($productosYaPreparados,false,true);

	}
	
	if(count($albaranesYaPreparados)>0) {
	
		?><h3>Productos ya preparados mediante Cross Docking:</h3><?php
		
		foreach($albaranesYaPreparados as $albaran) {
			
			?><h2>Albarán Nº <?php echo $albaran['NumAlbaran']; ?></h2><?php
			?><p style="font-weight:400;font-family:'Roboto Condensed',sans-serif;font-size:1.2em;color:#6db200"><?php
			foreach($albaran['Palets'] as $palet) {
				?><span style="margin-right:20px"><img src="<?php echo DIR_IMAGENES; ?>/palet-vacio.png" style="width:35px;margin-right:5px;margin-bottom:-7px"/> <?php echo $palet; ?></span><?php 
			}
			?></p><?php
			$listado=array();
			foreach($albaran['Productos'] as $producto) $listado[]=array('lineaProducto'=>$producto);
			pintaListadoProductosSimple($listado,false);
			
		}

	}
	
	if(count($productosYaPreparados)>0 || $algunosProductosPreparados || count($albaranesYaPreparados)>0 ) {
	
		if($_SESSION['ordenOperacion']['EstadoOprep']!='Cerrada') {
			?><p><input type="submit" name="botonLiberar" id="botonLiberar" value="Liberar productos preparados"class="mostrarCargando boton"/></p><?php
		}
	}
	
	if($marcarFinOrden=='S' && $_SESSION['ordenOperacion']['EstadoOprep']!='Cerrada') {
		?>
        <form id="formularioFinOrden" name="formularioFinOrden" method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>&finalizar=si">
        	<p><input type="submit" name="botonFinOrden" id="botonFinOrden" value="Marcar como Completada" class="boton"/></p>
        </form>
  <?php
	}
	
}


if(count($productosPendientes)>0 && $_SESSION['ordenOperacion']['EstadoOprep']!='Cerrada') {

	?>
    <h3 style="color:#CC0000">Productos en preparación no disponible:</h3>
	<?php
	
	pintaListadoProductos($productosPendientes,false);
	
	if( $_SESSION['parametrosSGA']['MostrarRecepcionesPendientes']=='S' && $_SESSION['ordenOperacion']['PendienteRecibir']=='S' ) {
		?><p><input type="submit" name="botonMostrarRecepcionesPendientes" id="botonMostrarRecepcionesPendientes" value="Mostrar recepciones pendientes" class="boton"/></p><?php
	} 
	
}
?>

<div id="separadorParaBarraFiltro" style="height:70px;clear:both"></div>

<div class="barraFiltro">
    	
            <table cellpadding="5" style="margin:0 auto">
                <tr>
                	<td>
                    Producto:<br />
                    <input type="text" name="filtroProducto" id="filtroProducto" class="campo selectorFiltro mayusculas" style="font-size:1em;width:250px"/><img src="<?php echo DIR_IMAGENES; ?>/x-ajustado.png" alt="Borrar" style="position:absolute;width:13px;margin-left:-25px;margin-top:10px" class="clicable" id="borrarFiltroProducto"/>
                    </td>
                    <td>
                    Preparación:<br />
                    <select name="filtroPreparacion" id="filtroPreparacion" class="campo selectorFiltro" style="width:250px">
                        <option value="">---</option>
                        <option value="si" <?php if($_SESSION['FiltroEstadoOrdenDefecto']=='P') { ?>selected<?php } ?>>Preparado</option>
                        <option value="no" <?php if($_SESSION['FiltroEstadoOrdenDefecto']=='PP') { ?>selected<?php } ?>>Pendiente de preparar</option>
                    </select>
                    </td>
                    <td>
                    <img id="filtroApagado" src="<?php echo DIR_IMAGENES; ?>/botones/filter-off.png" alt="Filtro" class="botonFiltro"/>
                    <img id="aplicarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter.png" alt="Filtro" class="botonFiltro" style="display:none;cursor:pointer;"/>
                    <img id="quitarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter-remove.png" alt="Filtro" class="botonFiltro" style="display:none;cursor:pointer"/>
                    </td>
                </tr>
            </table>
            
</div>

</div> <!-- classe estilosOP -->

<script>

	function repintarTabla() {
	
		$(".lineaOrden").children('td').css('background-color','#ffffff');
		$(".lineaOrden").children('td').css('border-bottom','');
		$(".lineaOrden").children('td').css('border-radius','');
		$(".lineaOrden").children('td').css('-mozborder-radius','');
		$(".lineaOrden").children('td').css('-webkit-border-radius','');
	
		var par=true;
		
		$(".lineaOrden").each(function(){
			if( $(this).is(":visible") ) {
				if(par) $(this).children('td').css('background-color','#ffffff');
				else $(this).children('td').css('background-color','#eeeeee');
				par = !par;
				ultimaFila=$(this);
			}
        });
		
		ultimaFila.children('td').css('border-bottom','1px solid #999999');
		ultimaFila.children('td:first').css('border-radius','0 0 0 15px');
		ultimaFila.children('td:first').css('-mozborder-radius','0 0 0 15px');
		ultimaFila.children('td:first').css('-webkit-border-radius','0 0 0 15px');
		ultimaFila.children('td:last').css('border-radius','0 0 15px 0');
		ultimaFila.children('td:last').css('-mozborder-radius','0 0 15px 0');
		ultimaFila.children('td:last').css('-webkit-border-radius','0 0 15px 0');
	
	}
	
	function aplicarFiltro(id) {
	
		if( $('#filtroCaja').val()=='' && $('#filtroProducto').val()=='' ) {
			$('#filtroApagado').show();
			$('#quitarFiltro').hide();
			$('#aplicarFiltro').hide();
		}
		else  {
			$('#filtroApagado').hide();
			$('#quitarFiltro').show();
			$('#aplicarFiltro').hide();
		}
		
		$('.lineaOrden').each(function() {
		
			var coincidenciaCaja=false;
			var coincidenciaProducto=false;
			var coincidenciaPreparacion=false;
			
			console.log('filtroCaja: '+$('#filtroCaja').val()+' / filtroProducto: '+$('#filtroProducto').val()+' / filtroPreparacion: '+$('#filtroPreparacion').val());
			
			if( $('#filtroCaja').val()!='' && $(this).attr('caja').indexOf($('#filtroCaja').val())>-1 ) coincidenciaCaja=true;
			else if( $('#filtroCaja').val()=='' ) coincidenciaCaja=true;
		
			if( $('#filtroProducto').val()!='' && ( $(this).attr('codigo').toUpperCase()==$('#filtroProducto').val().toUpperCase() || $(this).attr('descripcion').toUpperCase().indexOf($('#filtroProducto').val().toUpperCase())>-1  ) ) coincidenciaProducto=true;
			else if( $('#filtroProducto').val()=='' ) coincidenciaProducto=true;
			
			if( $('#filtroPreparacion').val()!='' && $(this).attr('preparacion')==$('#filtroPreparacion').val() ) coincidenciaPreparacion=true;
			else if( $('#filtroPreparacion').val()=='' ) coincidenciaPreparacion=true;
			
			if( coincidenciaProducto && coincidenciaPreparacion) $(this).show();
			else $(this).hide();
		});
		

		repintarTabla();
	
	}




function gestionaPlayConvencional( numAlbaran ) {

	console.log('Traza 5. Function gestionaPlayConvencional (funcion final que redirige a una página u otra) / numAlbaran: '+numAlbaran);

	//Este es el script que inicialmente se asociaba al click del botón play, antes de la posibilidad de gestión de PL desde inicio
	//En cualquier caso, tanto si primero se gestiona PL como si se da al play para leer directamente, el inicio (bloqueo) de la OP se hace ahora fuera, antes estaba metido aqui

	$('#popupCargando').show();
	
	if( numAlbaran ) {
	
		console.log('Traza 5 A. El play venía de albaran.');
	
		window.location='<?php echo $rutaHtml; ?>/orden-operacion-proceso-crossdocking.php?numalbaran='+numAlbaran;
	
	}
	else {
	
		console.log('Traza 5 A. El play venía del menú lateral.');
	
		var checkedInicio=false;
		var hayChecked=false;
		
		$('.selectorInicio').each( function(){
			
			if( $(this).is(":checked") ) {
				
				checkedInicio=true;
						
				$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-producto-inicio.php" , { 'Codigo' : $(this).attr('Codigo') , 'Ubicacion' : $(this).attr('Ubicacion') , 'Contenedor' : $(this).attr('Contenedor') , 'NumeroEntrada' : $(this).attr('NumeroEntrada') , 'LineaEntrada' : $(this).attr('LineaEntrada') <?php foreach($_SESSION['comportamientosGlobales'] as $comportamiento) { echo " , '".$comportamiento['NombreSQL']."' : $(this).attr('".$comportamiento['NombreSQL']."')"; } ?> } )
				.done( function(){
						
					window.location='<?php echo $rutaHtml; ?>/orden-operacion-proceso-.php?inicio=si';
							
				});
				
			}
			
		});
			
		if(!checkedInicio) {
				
			window.location='<?php echo $rutaHtml; ?>/orden-operacion-proceso.php?';
		
		}
	
	}

}



function gestionaPackingList( numAlbaran ) {

	console.log('Traza 6. Function gestionaPackingList / numAlbaran: '+numAlbaran);

	<?php if($_SESSION['ordenOperacion']['PackingList']) { ?>
	
	console.log('Traza 6 A. El PL ya está asociado, se procede al play convencional.');
	
	gestionaPlayConvencional( numAlbaran );
	
	<?php } else { ?>
	
	console.log('Traza 6 B. No hay PL se procede a gestionarlo.');
	
	$('#popupCargando').show();
				
	$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-packing-info.php", { 'orden' : '<?php echo $_SESSION['ordenOperacion']['NumOrden']; ?>' })
	.done(function(data) {
	
		$('#popupCargando').hide();
					
		var valores=data.split('#');
		var resultado=valores[0];
					
		if(resultado==0) {
			alert('ERROR: '+resultado);
		}
		else if(resultado==3) { //No hay PL, se crea uno nuevo
		
			console.log('Traza 6 B A. Se crea un nuevo PL de forma automática.');
		
			asociaOrdenPacking('<?php echo $_SESSION['ordenOperacion']['NumOrden']; ?>',null,numAlbaran);
						
		}
		else if(resultado==2) { //Hay Packing Lists coincidentes con la orden de preparación actual
			
			console.log('Traza 6 B A. Hay PLs coincidentes se lanza el popup para tomar la decisión.');
			
			$('#popupCargando').show();
					
			$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-packing-elegir-packing-list.php", { 'orden' : '<?php echo $_SESSION['ordenOperacion']['NumOrden']; ?>' , 'numalbaran' : numAlbaran })
			.done(function(data) {
								
				$('#popupPackingListsContenido').html(data);
								
				$('#popupPackingLists').show();
				$('#popupPackingListsContenido').show();
				
				$('#popupCargando').hide();
									
			});
						
		}
		
	
	});
	
	<?php } ?>

}

function asociaOrdenPacking(orden,packinglist,numAlbaran) {
	
	console.log('Traza 7. Function asociaOrdenPacking / numAlbaran: '+numAlbaran);
	
	$('#popupCargando').show();
								
	$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-packing-asociar.php", { 'orden' : orden , 'packing' : packinglist })
	.done(function(data) {
									
		$('#popupCargando').hide();
			
		var valores=data.split('#');
	
		if(valores[0]==1) {
			alert('ERROR: '+valores[1]);
		}
		else {
			
			$('#popupPackingLists').hide();
			$('#popupPackingListsContenido').hide();
				
			var mensaje='';
				
			if(orden) {
			
				if(packinglist) mensaje='La Orden de Preparación ha sido asociada al Packing List <strong>'+packinglist+'</strong>';
				else {
					packinglist=valores[2];
					mensaje='Ha sido creado el nuevo Packing List <strong>'+packinglist+'</strong>';
				}
				
				alert(mensaje,null,'ok')
				.done(function(){
				
					$('#mensajeAsociacionPacking').html('Esta orden de preparación está asociada al <strong>Packing List '+packinglist+'</strong>');
					$('#packingList').val(packinglist);
					
					gestionaPlayConvencional( numAlbaran );
					
				});
				
			}

		}
						
	});
	
}

function gestionaPlay( numAlbaran ) {

	//console.log('Traza 4. Function gestionaPlay / numAlbaran: '+numAlbaran);

	<?php if( $requierePaletizar && $validacionPackingInicial && !$_SESSION['ordenOperacion']['PackingList'] && $_SESSION['ordenOperacion']['TipoOrden']=='S' ) { ?>
	<?php //TipoOrden S es preparacion normal, ahora tambien hay picking y no hay que hacer gestion PL ?>
		
		//console.log('Traza 4 A. Primero hay que gestionar PL.');
		
		gestionaPackingList( numAlbaran );
		
	<?php } else { //Es un play de inicio normal, que no tiene gestion de PL al inicio (nuevo formato) o bien el PL ya está creado ?>
	
		//console.log('Traza 4 B. No hay que hacer gestion de PL o bien el PL ya está creado.');
		
		gestionaPlayConvencional( numAlbaran );
		
	<?php } ?>
		
}

function gestionaInicio( numAlbaran ) {

	console.log('Traza 3. Function gestionaInicio / numAlbaran: '+numAlbaran);

	$('#popupCargando').show();

	<?php if($mostrarModoLectura) { ?>
	$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-selectorModoLectura-grabar.php" , { modoSeleccionado : $('input:radio[name=modoPreparacion]:checked').val() } )
	.done(function(data) {
	<?php } ?>		

	<?php if($_SESSION['ordenOperacion']['Estado']!='Iniciada') { ?>
	
		console.log('Traza 3 A. La orden no está iniciada, se inicia');
	
		$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-iniciar.php" )
		.done(function(data) {
			var resultado=data.split('#');
			if(resultado[0]==1) {
				$('#popupCargando').hide();
				alert('Error: '+resultado[1]);
			}
			else {
				gestionaPlay( numAlbaran );
			}
		});
	
	<?php } else { ?>
	
		console.log('Traza 3 B. La orden YA estaba iniciada, se procede a procesar el play.');
		
		gestionaPlay( numAlbaran );
		
	<?php } ?>
	
	<?php if($mostrarModoLectura) { ?>
	});
	<?php } ?>	
				
}

function botonPlay( numAlbaran ) {

	console.log('Traza 2. Function botonPlay / numAlbaran: '+numAlbaran);

	<?php if($_SESSION['ordenOperacion']['Estado']=='Iniciada' && !$primeroSeleccionarModoLectura ) { ?>
		
		console.log('Traza 2 A. Orden iniciada y no hay que seleccionar modo lectura '+numAlbaran);
		
		gestionaPlay( numAlbaran );
		
	<?php } else { ?>
	
		console.log('Traza 2 B. Orden NO iniciada');
		
		<?php if( $_SESSION['ordenOperacion']['InstruccionesPreparacionCab'] && is_string($_SESSION['ordenOperacion']['InstruccionesPreparacionCab']) ) { ?>
		var textoInstrucciones='<h3>Instrucciones de preparación:</h3><?php echo preg_replace("/[\r\n|\n|\r]+/","",nl2br($_SESSION['ordenOperacion']['InstruccionesPreparacionCab'])); ?>';
		alert(textoInstrucciones,null,'informacion')
		.done(function(){
		<?php } ?>
		
			<?php if( !numAlbaran && $primeroSeleccionarModoLectura && count($productosAPreparar)>0 ) { ?>
			
				console.log('Traza 2 B A. Seleccionar modo de lectura antes de iniciar');
			
				$('#popupModoLecturaCajaPalet').show();
			
			<?php } else { ?>
			
				console.log('Traza 2 B B. Iniciar sin seleccionar modo de lectura');
			
				gestionaInicio( numAlbaran );
	
			<?php } ?>
			
		<?php if( $_SESSION['ordenOperacion']['InstruccionesPreparacionCab'] ) { ?>
		});
		<?php } ?>
		
	<?php } ?>
		
}

$(document).ready(function() {

	<?php if(!empty($_SESSION['FiltroEstadoOrdenDefecto'])) { ?>
	aplicarFiltro();
	<?php } ?>
	
	$('.verNumerosSerie').on('click',function(){
		$.post('<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-numeros-serie.php' , { 'numeros' : $(this).attr('numeros') , 'mostrarUbicacion' : 'si' , 'mostrarContenedor' : 'si' })
		.done(function(data) {
			$('#popupNumerosSerieContenido').html(data);
			$('#popupNumerosSerie').show();
			$('#popupNumerosSerieContenido').show();
			
			var posicion=$(document).scrollTop();
			$('#popupNumerosSerieContenido').offset({ top: posicion+20 });
		});
	});

	$('.selectorGama').on("click",function(){
		$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-gama.php?traza=<?php echo $_GET['traza']; ?>" , { 'Codigo' : $(this).attr('Codigo') , 'Ubicacion' : $(this).attr('Ubicacion') , 'Contenedor' : $(this).attr('Contenedor') , <?php foreach($_SESSION['comportamientosGlobales'] as $comportamiento) { echo "'".$comportamiento['NombreSQL']."' : "; ?>$(this).attr('<?php echo $comportamiento['NombreSQL'] ; ?>')<?php echo " , "; } ?> 'NumeroEntrada' : $(this).attr('NumeroEntrada') , 'LineaEntrada' : $(this).attr('LineaEntrada') , 'pendientes' : $(this).attr('pendientes') } )
			.done(function(data) {
				$('#popupGamaContenido').html(data);
				$('#popupGama').show();
				$('#popupGamaContenido').show();
						
				if($(document).scrollTop() > 0 ) $('#popupGamaContenido').css({ top: $(document).scrollTop() });
		});
		return false;
	});

	<?php if( $requierePaletizar ) { ?>
	
	$('#botonPalets').on("click",function(e){
		e.preventDefault();
		$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-palets-listado-completo.php" , { textoAgrupaciones : '<?php echo $textoAgrupaciones; ?>' } )
		.done( function(data){
			$('#popupPaletsContenido').html(data);
			$('#popupPalets').show();
			$('#popupPaletsContenido').show();
			$('#popupCargando').hide();
		});
	
	});
	
	<?php } ?>


	$('#botonLiberar').on("click",function(e){
		window.location='<?php echo $rutaHtml; ?>/orden-preparacion-liberar.php?orden=<?php echo $_SESSION['ordenOperacion']['NumOrden']; ?>&empresa=<?php echo $_SESSION['ordenOperacion']['Empresa']; ?>&procedencia=ordenPreparacion'
	});

	$('#botonSgteProducto').on("click",function(e){
	
		console.log('Traza 1. Play en botón de menú lateral');
	
		botonPlay(null);
		
	});
	
	
	
	<?php if($mostrarModoLectura) { ?>
	
	$('#botonModoLecturaAceptar').on('click',function(e){
		if ( $('input:radio[name=modoPreparacion]:checked').val() ) gestionaInicio();
		else alert('Por favor, especifica el modo de preparación para esta Orden.',null,'error');
	});
	
	$('#botonModoLecturaCancelar').on('click',function(e){
		$('#popupModoLecturaCajaPalet').hide();
	});
	
	$('#botonModoLectura').on('click',function(e){
		$('#popupModoLecturaCajaPalet').show();
	});
	
	<?php } ?>
	
	
	$('#botonPausar').on("click",function(e){
		e.preventDefault();
		$('#popupCargando').show();
		$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-pausar.php" )
			.done(function(data) {
				var resultado=data.split('#');
				if(resultado[0]==1) {
					$('#popupCargando').hide();
					alert('Error: '+resultado[1]);
				}
				else window.location='<?php echo $rutaHtml; ?>/ordenes-preparacion.php';	
		});
	});
	
	$('.selectorInicio').on("click",function(){
		valorActual=$(this).prop('checked');
		$('.selectorInicio').prop('checked',false);
		$(this).prop('checked',valorActual);
	});


		$('.selectorFiltro').on("change",function(e) {
			e.preventDefault();
			aplicarFiltro();
		});
		
		$('#filtroProducto').on("click",function(){
		
			$('#teclado').show();
			$('#valor').val( $('#filtroProducto').val() );
			$('#valorOculto').val( $('#filtroProducto').val() );
			$('#enter').attr('campoValor','filtroProducto');
			$('#enter').attr('formulario','');
			$('#enter').attr('forzarEnter','si');
			
		});
		
		$('#borrarFiltroProducto').on("click",function(){
			$('#filtroProducto').val('');
			aplicarFiltro();
		});
	
		$('#quitarFiltro').on("click",function() {
		
			$('#filtroCaja option:selected').removeProp('selected');
			$('#filtroProducto').val('');
			$('#filtroPreparacion option:selected').removeProp('selected');
			
			$('#filtroCaja option[value=""]').prop('selected',true);
			$('#filtroProducto').val('');
			$('#filtroPreparacion option[value=""]').prop('selected',true);
			
			$('#filtroApagado').show();
			$('#quitarFiltro').hide();
			$('#aplicarFiltro').hide();

			$(".lineaOrden").show();
			
			
			repintarTabla();
			
		});
		
		$('#botonFinOrden').on("click",function(e){
			e.preventDefault();
			confirm("Vas a proceder a marcar la Orden como Completada.")
			.done(function(){
				
				$('#popupCargando').show();
				$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-marcar-completada.php" )
					.done(function(data) {
						var resultado=data.split('#');
						if(resultado[0]==1) {
							$('#popupCargando').hide();
							alert('Error: '+resultado[1]);
						}
						else {
							<?php if($_SESSION['ordenOperacion']['Estado']=='Iniciada') { ?>
							$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-finalizar.php" )
								.done(function(data) {
									var resultado=data.split('#');
									if(resultado[0]==1) {
										$('#popupCargando').hide();
										alert('Error: '+resultado[1]);
									}
									else window.location='<?php echo $rutaHtml; ?>/ordenes-preparacion.php';	
							});
							<?php } else { ?>
							window.location='<?php echo $rutaHtml; ?>/ordenes-preparacion.php';
							<?php } ?>
						}
				});
			});
		});
		
		$('#botonMostrarRecepcionesPendientes').on('click',function(){
			$('#popupCargando').show();
			window.location='<?php echo $rutaHtml; ?>/orden-preparacion-recepciones-pendientes.php';
		});
		
		$('#botonReorganizar').on('click',function(){
			$('#popupCargando').show();
			window.location='<?php echo $rutaHtml; ?>/packing-list-reorganizar.php';
		});
		
		
		//Botones info cross docking
		$('.botonCrossdockingInfoPalets').on('click',function(){
			
			$('#popupCargando').show();
			
			var numalbaran=$(this).attr('numalbaran');
			var listadopalets=$(this).attr('listadopalets');
			
			$.post( '<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-crossdocking-palets.php?numalbaran='+numalbaran+'&listadopalets='+listadopalets )
			.done(function(data) {
			
				$('#popupCrossdockingContenido').html(data);
				
				var posicion = $('html').scrollTop();
				//$('#popupCrossdockingContenido').animate({top:parseInt(posicion)+100});
				$('#popupCrossdockingContenido').css('top',parseInt(posicion)+50);
				
				$('#popupCrossdockingContenido').show();
				$('#popupCrossdocking').show();
				
				$('#popupCargando').hide();
				
				
			});
			
		});
		
		$('.botonCrossdockingInfoProductos').on('click',function(){
			
			$('#popupCargando').show();
			
			var numalbaran=$(this).attr('numalbaran');
			
			$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-crossdocking-productos.php?numalbaran="+numalbaran )
			.done(function(data) {
			
				$('#popupCrossdockingContenido').html(data);
				
				var posicion = $('html').scrollTop();
				//$('#popupCrossdockingContenido').animate({top:parseInt(posicion)+100});
				$('#popupCrossdockingContenido').css('top',parseInt(posicion)+50);
				
				$('#popupCrossdockingContenido').show();
				$('#popupCrossdocking').show();
				
				$('#popupCargando').hide();
			});
			
		});
		
		$('.botonCrossdockingAlbaran').on('click',function(){
		
			var numalbaran=$(this).attr('numalbaran');
			
			console.log('Traza 1. Play en botón albaran');
			
			botonPlay(numalbaran);
		
		});
		
});

</script>
<?php



include($rutaPhp.$rutaHtml.'/maqueta/menu-orden-operacion.php');

} //Fin else error

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>